org.apache.struts2.util.tomcat.buf

## Class Ascii

- java.lang.Object
- - org.apache.struts2.util.tomcat.buf.Ascii

-     public final class Ascii
      extends Object

  This class implements some basic ASCII character handling functions.
  Author:
    dac@eng.sun.com, James Todd [gonzo@eng.sun.com]

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Ascii()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isAlpha(int c)` Deprecated. Unused. Will be removed in Tomcat 8.0.x onwards.
    `static boolean` | `isDigit(int c)` Returns true if the specified ASCII character is a digit.
    `static boolean` | `isLower(int c)` Deprecated. Unused. Will be removed in Tomcat 8.0.x onwards.
    `static boolean` | `isUpper(int c)` Deprecated. Unused. Will be removed in Tomcat 8.0.x onwards.
    `static boolean` | `isWhite(int c)` Deprecated. Unused. Will be removed in Tomcat 8.0.x onwards.
    `static int` | `parseInt(byte[] b, int off, int len)` Deprecated. Unused. Will be removed in Tomcat 8.0.x onwards.
    `static int` | `parseInt(char[] b, int off, int len)` Deprecated. Unused. Will be removed in Tomcat 8.0.x onwards.
    `static long` | `parseLong(byte[] b, int off, int len)` Parses an unsigned long from the specified subarray of bytes.
    `static long` | `parseLong(char[] b, int off, int len)` Deprecated. Unused. Will be removed in Tomcat 8.0.x onwards.
    `static int` | `toLower(int c)` Returns the lower case equivalent of the specified ASCII character.
    `static int` | `toUpper(int c)` Deprecated. Unused. Will be removed in Tomcat 8.0.x onwards.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Ascii

          public Ascii()

  - ### Method Detail

    - #### toUpper

          @Deprecated
          public static int toUpper(int c)

      Deprecated. Unused. Will be removed in Tomcat 8.0.x onwards.
      Returns the upper case equivalent of the specified ASCII character.

    - #### toLower

          public static int toLower(int c)

      Returns the lower case equivalent of the specified ASCII character.

    - #### isAlpha

          @Deprecated
          public static boolean isAlpha(int c)

      Deprecated. Unused. Will be removed in Tomcat 8.0.x onwards.
      Returns true if the specified ASCII character is upper or lower case.

    - #### isUpper

          @Deprecated
          public static boolean isUpper(int c)

      Deprecated. Unused. Will be removed in Tomcat 8.0.x onwards.
      Returns true if the specified ASCII character is upper case.

    - #### isLower

          @Deprecated
          public static boolean isLower(int c)

      Deprecated. Unused. Will be removed in Tomcat 8.0.x onwards.
      Returns true if the specified ASCII character is lower case.

    - #### isWhite

          @Deprecated
          public static boolean isWhite(int c)

      Deprecated. Unused. Will be removed in Tomcat 8.0.x onwards.
      Returns true if the specified ASCII character is white space.

    - #### isDigit

          public static boolean isDigit(int c)

      Returns true if the specified ASCII character is a digit.

    - #### parseInt

          @Deprecated
          public static int parseInt(byte[] b,
                                                 int off,
                                                 int len)
                                          throws NumberFormatException

      Deprecated. Unused. Will be removed in Tomcat 8.0.x onwards.
      Parses an unsigned integer from the specified subarray of bytes.
      Parameters:
        `b` - the bytes to parse
        `off` - the start offset of the bytes
        `len` - the length of the bytes
      Throws:
        `NumberFormatException` - if the integer format was invalid

    - #### parseInt

          @Deprecated
          public static int parseInt(char[] b,
                                                 int off,
                                                 int len)
                                          throws NumberFormatException

      Deprecated. Unused. Will be removed in Tomcat 8.0.x onwards.
      Throws:
        `NumberFormatException`

    - #### parseLong

          public static long parseLong(byte[] b,
                                       int off,
                                       int len)
                                throws NumberFormatException

      Parses an unsigned long from the specified subarray of bytes.
      Parameters:
        `b` - the bytes to parse
        `off` - the start offset of the bytes
        `len` - the length of the bytes
      Throws:
        `NumberFormatException` - if the long format was invalid

    - #### parseLong

          @Deprecated
          public static long parseLong(char[] b,
                                                   int off,
                                                   int len)
                                            throws NumberFormatException

      Deprecated. Unused. Will be removed in Tomcat 8.0.x onwards.
      Throws:
        `NumberFormatException`

Copyright © 2000–2022 Apache Software Foundation. All rights reserved.